image : microsoft/dotnet:latest
stages:
  - build
  - deploy
before_script:
  - 'dotnet restore'
build:
 stage: build
 script:
  - 'dotnet build'
 only:
   - master
deploy_stable:
 stage: deploy
 script:
  - 'dotnet pack /p:PackageVersion=$CI_COMMIT_TAG WITS.Cache/WITS.Cache.csproj -c Release -o nupkgs --include-symbols'
  - 'dotnet nuget push WITS.Cache/nupkgs/ -k $WITS_MYGET_TOKEN -s https://www.myget.org/F/wits/api/v2/package'
 only:
   - tags